Cyberduck Mountain Duck CLI

#11010 closed defect (fixed)

Shows top-level paths as hidden when they contain deleted and non-deleted files

Reported by: josemedr Owned by:
Priority: normal Milestone: 7.6.2
Component: s3 Version: 7.3.0
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description (last modified by josemedr)

There seems to be a bug that leads to hidden folders when there are a mix of deleted and non-deleted files within that s3 folder.

The s3 web console shows folders where there are a mix of files with a delete marker and files that have not been deleted. Versioning is enabled, of course. The Cyberduck folder representation does not initially show these folders. When "Show hidden files" is enabled these folders are shown. Once these "hidden" folders are expanded the UI shows which files have a delete marker because they are grayed out. Non-deleted files are shown as normal non-greyed out paths.

Change History (5)

comment:1 Changed on Mar 31, 2020 at 10:43:01 PM by josemedr

  • Description modified (diff)

comment:2 Changed on Mar 31, 2020 at 10:44:40 PM by josemedr

  • Description modified (diff)
  • Summary changed from Cyberduck shows top-level paths as hidden when they contain deleted and non-deleted files to Cyberduck shows top-level s3 paths as hidden when they contain deleted and non-deleted files

comment:3 Changed on Apr 15, 2020 at 2:57:15 PM by dkocher

  • Summary changed from Cyberduck shows top-level s3 paths as hidden when they contain deleted and non-deleted files to Shows top-level paths as hidden when they contain deleted and non-deleted files

comment:5 Changed on Oct 10, 2020 at 3:25:07 PM by dkocher

  • Milestone set to 7.6.2
  • Resolution set to fixed
  • Status changed from new to closed
Note: See TracTickets for help on using tickets.
swiss made software